r.out.ppm3(1)

NAME
r.out.ppm3 - Converts 3 GRASS raster layers (R,G,B) to a PPM image file.

KEYWORDS
raster, export, output

SYNOPSIS
r.out.ppm3
r.out.ppm3 --help
r.out.ppm3 [-c] red=string green=string blue=string output=string [--help] [--verbose] [--quiet] [--ui]

  Flags:

-c
    Add comments to describe the region

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

red=string [required]
    Name of raster map to be used for <red>

green=string [required]
    Name of raster map to be used for <green>

blue=string [required]
    Name of raster map to be used for <blue>

output=string [required]
    Name for new PPM file. (use ’-’ for stdout)

DESCRIPTION
r.out.ppm3 converts 3 GRASS raster layers (R,G,B) to a PPM image file, using the current region.

This program converts a GRASS raster map to a PPM image file using the the current region settings.

To get the full area and resolutin of the raster map, run:

g.region raster=[mapname]

before running r.out.ppm3.

NOTES
One pixel is written for each cell value, so if ew_res and ns_res differ, the aspect ratio of the resulting image will be off.

SEE ALSO
r.out.ppm, r.in.gdal, d.rgb

AUTHOR
Glynn Clements
Based upon r.out.ppm and d.rgb.

SOURCE CODE

Available at: r.out.ppm3 source code (history)

Accessed: Wednesday Apr 24 00:26:42 2024

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual